SLA API
Get SLA Definition
Retrieve a single SLA definition by ID, including its conditions, attachment criteria, and action definitions.
GET
/
v2
/
sla-definitions
/
{id}
Get SLA Definition
curl --request GET \
--url https://public.api.serval.com/v2/sla-definitions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"targetDurationSeconds": 123,
"useCalendarTime": true,
"scheduleId": "<string>",
"conditions": [
{
"id": "<string>",
"slaDefinitionId": "<string>",
"conditionRule": {
"type": "<string>",
"field": "<string>",
"op": "<string>",
"value": "<string>",
"values": [
"<string>"
],
"logicOp": "<string>"
},
"resumePolicy": "<string>",
"priority": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentCriteria": [
{
"type": "<string>",
"field": "<string>",
"op": "<string>",
"value": "<string>",
"values": [
"<string>"
],
"logicOp": "<string>"
}
],
"actionDefinitions": [
{
"id": "<string>",
"slaDefinitionId": "<string>",
"offsetSeconds": 123,
"workflowId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Was this page helpful?
⌘I
Get SLA Definition
curl --request GET \
--url https://public.api.serval.com/v2/sla-definitions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"targetDurationSeconds": 123,
"useCalendarTime": true,
"scheduleId": "<string>",
"conditions": [
{
"id": "<string>",
"slaDefinitionId": "<string>",
"conditionRule": {
"type": "<string>",
"field": "<string>",
"op": "<string>",
"value": "<string>",
"values": [
"<string>"
],
"logicOp": "<string>"
},
"resumePolicy": "<string>",
"priority": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentCriteria": [
{
"type": "<string>",
"field": "<string>",
"op": "<string>",
"value": "<string>",
"values": [
"<string>"
],
"logicOp": "<string>"
}
],
"actionDefinitions": [
{
"id": "<string>",
"slaDefinitionId": "<string>",
"offsetSeconds": 123,
"workflowId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}
